Page MenuHomePhabricator

Merge MediaWiki:Wm-license-self-one-license and MediaWiki:Wm-license-self-multiple-licenses
Closed, ResolvedPublic

Description

In the WikimediaMessages MediaWiki extension, the strings

  • MediaWiki:Wm-license-self-one-license
  • MediaWiki:Wm-license-self-multiple-licenses

should be merged into one string. You will also have to check in the codebase where these two messages are used and update the code accordingly. The new string also needs proper PLURAL support to be added.

You are expected to provide a patch in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit.

Details

Reference
bz38576

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:54 AM
bzimport set Reference to bz38576.
bzimport added a subscriber: Unknown Object (MLST).

Where are these messages used? I couldn't find them in UW.i18n.php

(In reply to comment #1)

Where are these messages used? I couldn't find them in UW.i18n.php

Nischay, they are in WikimediaMessages; license messages are for Commons.

Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 8:01 AM
jrbs added a subscriber: jrbs.Oct 30 2015, 12:02 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 27 2017, 10:22 PM
Aklapper updated the task description. (Show Details)Nov 20 2017, 6:33 PM

Change 396633 had a related patch set uploaded (by Pppery; owner: Pppery):
[mediawiki/extensions/WikimediaMessages@master] Add proper PLURAL support to Template:Self header messages

https://gerrit.wikimedia.org/r/396633

@Bawolff, as per your comments here: https://gerrit.wikimedia.org/r/#/c/396633/, should we still consider this ticket?

Change 396633 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add proper PLURAL support to Template:Self header messages

https://gerrit.wikimedia.org/r/396633

Pppery claimed this task.Dec 10 2017, 10:09 PM
D3r1ck01 closed this task as Resolved.Dec 11 2017, 4:38 AM